Bug 108814 - Needs progress bar in "Testing package set / solving RPM inter-dependencies..." stage.
Needs progress bar in "Testing package set / solving RPM inter-dependencies.....
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
Depends On:
Blocks: 120092
  Show dependency treegraph
Reported: 2003-11-02 10:03 EST by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-29 08:45:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2003-11-02 10:03:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
I'm using the latest up2date and yum repositories. The first download
of hearders (.hdr files) takes quite some time. up2date reports
"Testing package set / solving RPM inter-dependencies.." when
downloading the headers, and since the download is quite big it stays
like that for quite some time, often more than 5 minutes. At first I
thought up2date had crashed, but when I checked /var/spool/up2date I
could see that headers where coming in. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. add a yum repository to you /etc/sysconfig/rhn/sources
2. try to install a package, up2date -i packagename
3. wait and see.

Actual Results:  up2date reports "Testing package set / solving RPM
inter-dependencies..." while downloading headers, seems stuck.

Expected Results:  up2date should report something like "Downloading
headers, this may take a while.." A progress bar would be nice. 

Additional info:

This is an issue in both the grahical and text based up2date client.
Comment 1 Dee-Ann LeBlanc 2003-11-03 05:40:05 EST
I'm having this problem as well. I thought it had hung .. we'll see,
it's still just sitting there with no progress bar updates.
Comment 2 Dams 2003-11-03 19:10:09 EST
Adrian, please, I saw *a lot* of people in #fedora who were thinking
up2date was broken because of this and we spent a lot of time telling
them there was no problem. Up2date downloads about 60-70Meg of .hdr
files (more than 2000 files !) the first time it is ran and it takes a
lot of time. Up2date should really give more feedback during this stage...
Comment 3 James Smith 2003-12-24 22:08:05 EST
I experience the same problem and because my computer is quite old I
was completely convinced it froze until I looked at the details of my
connection amd saw incoming data.
Comment 4 John Thacker 2006-10-29 08:45:18 EST
Note that FC2 is no longer supported even by Fedora Legacy.  Also, up2date has
been replaced by pirut and pup since FC5.  FC3 and FC4 are supported by Fedora
Legacy for security issues only.  If this still occurs on FC3 or FC4 and is a
security issue, please reopen and assign to that version and Fedora Legacy.  If
it occurs on RHEL 3 or 4, please reassign or refile against that product.

The codebase for pirut and pup is quite different, so existing bugs do not
apply, but please continue testing them on the still supported versions of
Fedora Core and file bugs as necessary.

Note You need to log in before you can comment on or make changes to this bug.